# https://git.syndicate-lang.org/synit/synit/src/branch/main/packaging/packages/syndicate-server/APKBUILD

{ lib, naersk, fetchFromSyndicateLang, pkg-config, openssl }:

naersk.buildPackage rec {
  pname = "syndicate-rs";
  version = "0.26.0";
  src = fetchFromSyndicateLang {
    repo = pname;
    rev = "${pname}-v${version}";
    hash = "sha256-6zCfvvaDfOUWbKjLhJ9xMpQnajxt1sQObrdhnm06Zuc=";
  };
  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ openssl ];

  meta = {
    description = "Syndicate broker server";
    homepage = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs/";
    maintainers = with lib.maintainers; [ ehmry ];
    mainProgram = "syndicate-server";
  };
}
